Tool: list_pass_classes
Retrieves a comprehensive list of all pass classes registered in the Google Wallet business console associated with the authenticated user. This tool provides essential information for developers managing Wallet passes like loyalty cards, gift cards, or flights.
The following sample demonstrate how to use curl to invoke the list_pass_classes MCP tool.
| Curl Request |
|---|
curl --location 'https://paydeveloper.googleapis.com/mcp' \ --header 'content-type: application/json' \ --header 'accept: application/json, text/event-stream' \ --data '{ "method": "tools/call", "params": { "name": "list_pass_classes", "arguments": { // provide these details according to the tool's MCP specification } }, "jsonrpc": "2.0", "id": 1 }' |
Input Schema
Request message for listing pass classes of an issuer.
ListPassClassesRequest
| JSON representation |
|---|
{ "issuerId": string, "passType": enum ( |
| Fields | |
|---|---|
issuerId |
Required. The unique identifier of the issuer for which to list pass classes. |
passType |
Optional. The type of pass class to list. If unspecified, all types of pass classes will be returned. |
view |
Optional. Specifies the level of detail to be returned for each pass class. |
Output Schema
Response message for listing pass classes of an issuer.
ListPassClassesResponse
| JSON representation |
|---|
{
"passClasses": [
{
object ( |
| Fields | |
|---|---|
passClasses[] |
The pass classes of the issuer. |
PassClass
| JSON representation |
|---|
{ // Union field |
| Fields | |
|---|---|
Union field
|
|
loyaltyClass |
Optional. The loyalty class of the issuer. |
giftCardClass |
Optional. The gift card class of the issuer. |
offerClass |
Optional. The offer class of the issuer. |
eventTicketClass |
Optional. The event ticket class of the issuer. |
flightClass |
Optional. The flight class of the issuer. |
transitClass |
Optional. The transit class of the issuer. |
genericClass |
Optional. The generic class of the issuer. |
LoyaltyClass
| JSON representation |
|---|
{ "id": string, "issuerName": string, "localizedIssuerName": { object ( |
| Fields | |
|---|---|
id |
Optional. The id of the loyalty class. |
issuerName |
Optional. The issuer name of the loyalty class. |
localizedIssuerName |
Optional. The localized issuer name of the loyalty class. |
programName |
Optional. The program name of the loyalty class. |
localizedProgramName |
Optional. The localized program name of the loyalty class. |
programLogoUri |
Optional. The program logo of the loyalty class. |
hexBackgroundColor |
Optional. The background color of the loyalty class. The format is a hex color string, e.g. "#RRGGBB". |
heroImageUri |
Optional. The banner image displayed on the front of the loyalty class. |
discoverableProgram |
Optional. The information about how the loyalty class may be discovered and instantiated from within Google Wallet. |
classTemplateInfo |
Optional. The template information about how the loyalty class should be displayed. |
LocalizedString
| JSON representation |
|---|
{ "translatedValues": [ { object ( |
| Fields | |
|---|---|
translatedValues[] |
Optional. The translated strings for the string. |
defaultValue |
Optional. The string to be displayed if no appropriate translation is available. |
TranslatedString
| JSON representation |
|---|
{ "languageCode": string, "value": string } |
| Fields | |
|---|---|
languageCode |
Optional. The BCP 47 language tag. Example values are "en-US", "en-GB", "de", or "de-AT". |
value |
Optional. The UTF-8 encoded translated string. |
DiscoverableProgram
| JSON representation |
|---|
{ "merchantSignupInfo": { object ( |
| Fields | |
|---|---|
merchantSignupInfo |
Optional. The information about the ability to signup and add a valuable for this discoverable program through a merchant site. |
merchantSigninInfo |
Optional. The information about the ability to signin and add a valuable for this discoverable program through a merchant site. |
state |
Output only. The state of the discoverable program. |
MerchantSignupInfo
| JSON representation |
|---|
{ "signupWebsite": { object ( |
| Fields | |
|---|---|
signupWebsite |
Optional. The website to sign up for the discoverable program. |
signupSharedDatas[] |
Optional. The user data that is sent in a POST request to the signup website URL. This information is encoded and then shared so that the merchant's website can prefill fields used to enroll the user for the discoverable program. |
Uri
| JSON representation |
|---|
{
"uri": string,
"description": string,
"localizedDescription": {
object ( |
| Fields | |
|---|---|
uri |
Optional. The URI. |
description |
Optional. The URI's title appearing in Google Wallet as text. |
localizedDescription |
Optional. The translated strings of the URI's title appearing in Google Wallet as text. |
MerchantSigninInfo
| JSON representation |
|---|
{
"signinWebsite": {
object ( |
| Fields | |
|---|---|
signinWebsite |
Optional. The website to sign in for the discoverable program. |
ClassTemplateInfo
| JSON representation |
|---|
{ "cardBarcodeSectionDetails": { object ( |
| Fields | |
|---|---|
cardBarcodeSectionDetails |
Optional. The extra information to be displayed above and below the barcode. |
cardTemplateOverride |
Optional. The template override for the card view. |
detailsTemplateOverride |
Optional. The template override for the details view. |
listTemplateOverride |
Optional. The template override for the passes list view. |
CardBarcodeSectionDetails
| JSON representation |
|---|
{ "firstTopDetail": { object ( |
| Fields | |
|---|---|
firstTopDetail |
Optional. The optional information to be displayed above the barcode. If secondTopDetail is defined, this will be displayed to the start side of this detail section. |
firstBottomDetail |
Optional. The optional information to be displayed below the barcode. |
secondTopDetail |
Optional. The optional second piece of information to be displayed above the barcode. If firstTopDetail is defined, this will be displayed to the end side of this detail section. |
BarcodeSectionDetail
| JSON representation |
|---|
{
"fieldSelector": {
object ( |
| Fields | |
|---|---|
fieldSelector |
Optional. The reference to an existing text-based or image field to be displayed. |
FieldSelector
| JSON representation |
|---|
{
"fields": [
{
object ( |
| Fields | |
|---|---|
fields[] |
Optional. The field references to use with field overrides. If more than one reference is supplied, then the first one that references a non-empty field will be displayed. |
FieldReference
| JSON representation |
|---|
{
"fieldPath": string,
"dateFormat": enum ( |
| Fields | |
|---|---|
fieldPath |
Optional. The path to the field being referenced, prefixed with "object" or "class" and separated with dots. |
dateFormat |
Optional. The date format to render date/time fields. |
CardTemplateOverride
| JSON representation |
|---|
{
"cardRowTemplateInfos": [
{
object ( |
| Fields | |
|---|---|
cardRowTemplateInfos[] |
Optional. The template information about rows in the card view. At most three rows are allowed to be specified. |
CardRowTemplateInfo
| JSON representation |
|---|
{ // Union field |
| Fields | |
|---|---|
Union field row_template. The template for a row containing one, two, or three items. row_template can be only one of the following: |
|
oneItem |
Optional. The template for a row containing one item. |
twoItems |
Optional. The template for a row containing two items. |
threeItems |
Optional. The template for a row containing three items. |
CardRowOneItem
| JSON representation |
|---|
{
"item": {
object ( |
| Fields | |
|---|---|
item |
Optional. The item to be displayed in the row. This item will be centered. |
TemplateItem
| JSON representation |
|---|
{ "firstValue": { object ( |
| Fields | |
|---|---|
firstValue |
Optional. The reference to the first field to be displayed. |
secondValue |
Optional. The reference to the second field to be displayed. |
predefinedItem |
Optional. The predefined item to be displayed. |
CardRowTwoItems
| JSON representation |
|---|
{ "startItem": { object ( |
| Fields | |
|---|---|
startItem |
Optional. The item to be displayed at the start of the row. This item will be aligned to the left. |
endItem |
Optional. The item to be displayed at the end of the row. This item will be aligned to the right. |
CardRowThreeItems
| JSON representation |
|---|
{ "startItem": { object ( |
| Fields | |
|---|---|
startItem |
Optional. The item to be displayed at the start of the row. This item will be aligned to the left. |
middleItem |
Optional. The item to be displayed in the middle of the row. This item will be centered between the start and end items. |
endItem |
Optional. The item to be displayed at the end of the row. This item will be aligned to the right. |
DetailsTemplateOverride
| JSON representation |
|---|
{
"detailsItemInfos": [
{
object ( |
| Fields | |
|---|---|
detailsItemInfos[] |
Optional. The template information about the items displayed in the details list. |
DetailsItemInfo
| JSON representation |
|---|
{
"item": {
object ( |
| Fields | |
|---|---|
item |
Optional. The item to be displayed in the details list. |
ListTemplateOverride
| JSON representation |
|---|
{ "firstRowOption": { object ( |
| Fields | |
|---|---|
firstRowOption |
Optional. The reference to the field to be displayed in the first row. |
secondRowOption |
Optional. The reference to the field to be displayed in the second row. |
FirstRowOption
| JSON representation |
|---|
{ "transitOption": enum ( |
| Fields | |
|---|---|
transitOption |
Optional. The transit option to be displayed in the first row. |
fieldOption |
Optional. The reference to the field to be displayed in the first row. |
GiftCardClass
| JSON representation |
|---|
{ "id": string, "issuerName": string, "localizedIssuerName": { object ( |
| Fields | |
|---|---|
id |
Optional. The id of the gift card class. |
issuerName |
Optional. The issuer name of the gift card class. |
localizedIssuerName |
Optional. The localized issuer name of the gift card class. |
merchantName |
Optional. The merchant name of the gift card class. |
localizedMerchantName |
Optional. The localized merchant name of the gift card class. |
programLogoUri |
Optional. The program logo of the gift card class. |
hexBackgroundColor |
Optional. The background color of the gift card class. The format is a hex color string, e.g. "#RRGGBB". |
heroImageUri |
Optional. The banner image displayed on the front of the gift card class. |
homePageUri |
Optional. The website of the application's home page. |
classTemplateInfo |
Optional. The template information about how the gift card class should be displayed. |
OfferClass
| JSON representation |
|---|
{ "id": string, "issuerName": string, "localizedIssuerName": { object ( |
| Fields | |
|---|---|
id |
Optional. The id of the offer class. |
issuerName |
Optional. The issuer name of the offer class. |
localizedIssuerName |
Optional. The localized issuer name of the offer class. |
provider |
Optional. The provider of the offer class. |
localizedProvider |
Optional. The localized provider of the offer class. |
title |
Optional. The title of the offer class. |
localizedTitle |
Optional. The localized title of the offer class. |
titleImageUri |
Optional. The title image of the offer class. |
hexBackgroundColor |
Optional. The background color of the offer class. The format is a hex color string, e.g. "#RRGGBB". |
heroImageUri |
Optional. The banner image displayed on the front of the offer class. |
redemptionChannel |
Optional. The redemption channel of the offer class. |
classTemplateInfo |
Optional. The template information about how the offer class should be displayed. |
EventTicketClass
| JSON representation |
|---|
{ "id": string, "issuerName": string, "localizedIssuerName": { object ( |
| Fields | |
|---|---|
id |
Optional. The id of the event ticket class. |
issuerName |
Optional. The issuer name of the event ticket class. |
localizedIssuerName |
Optional. The localized issuer name of the event ticket class. |
logoUri |
Optional. The logo of the event ticket class. |
eventName |
Optional. The name of the event. |
venue |
Optional. The venue of the event. |
dateTime |
Optional. The information about the date and time of the event. |
hexBackgroundColor |
Optional. The background color of the event ticket class. The format is a hex color string, e.g. "#RRGGBB". |
heroImageUri |
Optional. The banner image displayed on the front of the event ticket class. |
classTemplateInfo |
Optional. The template information about how the event ticket class should be displayed. |
EventVenue
| JSON representation |
|---|
{ "name": { object ( |
| Fields | |
|---|---|
name |
Optional. The name of the venue. |
address |
Optional. The address of the venue. |
EventDateTime
| JSON representation |
|---|
{ "start": string, "end": string } |
| Fields | |
|---|---|
start |
Optional. The date/time when the event starts. If the event spans multiple days, it should be the start date/time on the first day. The format is an ISO 8601 extended format date/time without an offset, and the time may be specified up to millisecond precision, e.g. 2027-03-05T06:30:00. |
end |
Optional. The date/time when the event ends. If the event spans multiple days, it should be the end date/time on the last day. The format is an ISO 8601 extended format date/time without an offset, and the time may be specified up to millisecond precision, e.g. 2027-03-05T06:30:00. |
FlightClass
| JSON representation |
|---|
{ "id": string, "issuerName": string, "localizedIssuerName": { object ( |
| Fields | |
|---|---|
id |
Optional. The id of the flight class. |
issuerName |
Optional. The issuer name of the flight class. |
localizedIssuerName |
Optional. The localized issuer name of the flight class. |
flightHeader |
Optional. The information about the flight carrier and number. |
origin |
Optional. The information about the origin airport. |
destination |
Optional. The information about the destination airport. |
localScheduledDepartureDateTime |
Optional. The scheduled date and time when the aircraft is expected to depart the gate (not the runway). The format is an ISO 8601 extended format date/time without an offset, and the time may be specified up to millisecond precision, e.g. 2027-03-05T06:30:00. This should be the local date/time at the airport (not a UTC time). |
hexBackgroundColor |
Optional. The background color of the flight class. The format is a hex color string, e.g. "#RRGGBB". |
heroImageUri |
Optional. The banner image displayed on the front of the flight class. |
classTemplateInfo |
Optional. The template information about how the flight class should be displayed. |
FlightHeader
| JSON representation |
|---|
{
"carrier": {
object ( |
| Fields | |
|---|---|
carrier |
Optional. The information about the flight carrier. |
flightNumber |
Optional. The flight number without the carrier IATA code. The field contains only digits, e.g. "123". |
FlightCarrier
| JSON representation |
|---|
{ "carrierIataCode": string, "carrierIcaoCode": string, "airlineLogoUri": string } |
| Fields | |
|---|---|
carrierIataCode |
Optional. The two character IATA airline code of the carrier. |
carrierIcaoCode |
Optional. The three character ICAO airline code of the carrier. |
airlineLogoUri |
Optional. The logo of the airline described by the carrier IATA code. |
AirportInfo
| JSON representation |
|---|
{ "airportIataCode": string, "terminal": string, "gate": string } |
| Fields | |
|---|---|
airportIataCode |
Optional. The three character IATA airport code, e.g. "SFO". |
terminal |
Optional. The terminal name, e.g. "I". |
gate |
Optional. The gate name, e.g. "B59". |
TransitClass
| JSON representation |
|---|
{ "id": string, "issuerName": string, "localizedIssuerName": { object ( |
| Fields | |
|---|---|
id |
Optional. The id of the transit class. |
issuerName |
Optional. The issuer name of the transit class. |
localizedIssuerName |
Optional. The localized issuer name of the transit class. |
hexBackgroundColor |
Optional. The background color of the transit class. The format is a hex color string, e.g. "#RRGGBB". |
heroImageUri |
Optional. The banner image displayed on the front of the transit class. |
transitType |
Optional. The transit type of the transit class. |
classTemplateInfo |
Optional. The template information about how the transit class should be displayed. |
GenericClass
| JSON representation |
|---|
{
"id": string,
"classTemplateInfo": {
object ( |
| Fields | |
|---|---|
id |
Optional. The id of the generic class. |
classTemplateInfo |
Optional. The template information about how the generic class should be displayed. |
Tool Annotations
Destructive Hint: ❌ | Idempotent Hint: ✅ | Read Only Hint: ✅ | Open World Hint: ❌